# EPIC FAIL
# slays players that do not complete the objective, and logs this event
# so that we can record it in hlstatsx/psychostats. 
#
# by *XYZ*SaYnt
# credits: modelled after AutoSlay by the VIP
#

import es
import playerlib

info = es.AddonInfo()
info.name        = "EpicFail"
info.version     = "1.1"
info.author      = "*XYZ*SaYnt"
info.url         = "http://addons.eventscripts.com/addons/view/epicfail"
info.basename    = "epicfail"
info.description = "Slays players for not accomplishing the objective, and logs it for hlstatsx/psychostats"

 
 
#This is our custom version of statlog until the python version comes out.
def statlog(userid,event):
    es.server.queuecmd("statlog " + str(userid) + " " + event)

def hasmani():
    has_mani = es.exists("variable","mani_admin_plugin_version")
    return has_mani

reasons = {}
teaminf = {}
  
def load():
    global reasons
    global teaminf
    
    reasons["#VIP_Escaped"] = (2,"for failing to kill the VIP")
    reasons["#VIP_Assassinated"] = (3,"for failing to protect the VIP")
    reasons["#VIP_Not_Escaped"] = (3,"because vip has not escaped")
    reasons["#Target_Bombed"] = (3,"for failing to defuse the bomb")
    reasons["#Bomb_Defused"] = (2,"for failing to protect the bomb")
    reasons["#Target_Saved"] = (2,"for failing to plant the bomb")
    reasons["#All_Hostages_Rescued"] = (2,"because hostages have been rescued")
    reasons["#Hostages_Not_Rescued"] = (3,"for failing to rescue the hostages")

    teaminf[2] = ("#t","T","Epic_Fail_T")
    teaminf[3] = ("#ct","CT","Epic_Fail_CT")
    es.set("epicfail_version",info.version)
    es.msg("Epic Fail " + info.version + " by *XYZ*SaYnt loaded")


def round_end(ev):
    global reasons
    global teaminf
    reason = ev['message']
    if reason in reasons:
			  slayem(reasons[reason][0],reasons[reason][1])


def slayem(teamid,reason): 
    global reasons
    global teaminf  
    plist = playerlib.getPlayerList(teaminf[teamid][0]+",#alive")
    if len(plist) > 0:
        es.msg("#lightgreen","Remaining "+teaminf[teamid][1]+"\'s slayed " + reason + ".")
    has_mani = hasmani()
    for x in plist:
        userid = x.userid
        name   = x.attributes['name']
        es.msg("#lightgreen","EPIC FAIL: " + name)
        statlog(int(userid),teaminf[teamid][2])
        if has_mani:
            es.server.queuecmd("ma_slay " + str(userid))
        else:
            es.sexec(userid,"kill")


